Linux repositories inspector

libgles2-nvidia-legacy-340xx - NVIDIA binary OpenGL|ES 2.x library (340xx legacy version)

OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on embedded systems - including consoles, phones, appliances and vehicles. It contains a subset of OpenGL plus a number of extensions for the special needs of embedded systems.
OpenGL|ES 2.x provides an API for programmable hardware including vertex and fragment shaders.
See the description of the nvidia-legacy-340xx-driver package or /usr/share/doc/libgl1-nvidia-legacy-340xx-glx/README.txt.gz for a complete list of supported GPUs and PCI IDs.
340.107
Debian iconDebian 10.0
Debian iconDebian 9.0
MX Linux iconMX Linux mx15
MX Linux iconMX Linux stretch
340.106
Debian iconDebian 9.0
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/non-freedeb340.107-4Mar 1294.5 kiB172 kiB
Debian iconDebian 9.0 stretch/non-freedeb340.106-2~deb9u12018-03-1493.2 kiB172 kiB
Debian iconDebian 9.0 stretch-backports/non-freedeb340.107-2~bpo9+1Jan 1294.3 kiB172 kiB
MX Linux iconMX Linux mx15 mx15/non-freedeb340.107-4~mx15+1Mar 2294.8 kiB208 kiB
MX Linux iconMX Linux stretch stretch/non-freedeb340.107-4~mx17+1Mar 2294.7 kiB173 kiB

Latest updates

MX Linux stretch icon

MX Linux stretch stretch/non-free: Updated from 340.107-2~mx17+1 to 340.107-4~mx17+1

Mar 22
  • Rebuild for MX 17.
MX Linux mx15 icon

MX Linux mx15 mx15/non-free: Updated from 340.102-1mx150+1 to 340.107-4~mx15+1

Mar 22
  • Rebuild for MX 15.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 340.107-3 to 340.107-4

Mar 12
  • use-nv-kernel-ARCH.o_shipped.patch: Simplify for better kernel compatibility. (Closes: #922479)
  • Drop versioned constraints that are satisfied in wheezy (390.87-7).
  • Bump Standards-Version to 4.3.0. No changes needed.
MX Linux stretch icon

MX Linux stretch stretch/non-free: Version 340.107-2~mx17+1 introduced

Jan 14
  • Rebuild for MX 17.
MX Linux mx15 icon

MX Linux mx15 mx15/non-free: Version 340.102-1mx150+1 introduced

Jan 14
  • Rebuild for MX 15/16.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 340.106-2 to 340.107-3

Jan 12
  • Synchronize the module build debhelper sequence with debhelper 10 (390.87-1).
  • Pass the private library directory to dh_shlibdeps using the -l option instead of LD_LIBRARY_PATH, fixing FTBFS with dpkg 1.19.1 (390.87-3).
  • Add Build-Depends-Package to symbols files where appropriate and override symbols-file-missing-build-depends-package-field elsewhere (390.87-3).
  • Clean up and unify rule style in debian/rules (390.87-3).
  • Bump Standards-Version to 4.2.1. No changes needed.
  • Add debian/rules targets for archiving the tarballs in a separate repository using sparse checkouts and git-lfs as storage backend.
  • Refresh patches.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 340.106-1~bpo9+1 to 340.107-2~bpo9+1

Jan 12
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 340.106-2~deb9u1 removed

2018-03-14
Debian 9.0 icon

Debian 9.0 stretch/non-free: Updated from 340.102-1 to 340.106-2~deb9u1

2018-03-14
  • Rebuild for stretch.
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 340.106-2~deb9u1 introduced

2018-03-07
  • Rebuild for stretch.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 340.106-1 to 340.106-2

2018-02-05
  • nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the long Description (384.111-4).
  • Update lintian overrides.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 340.104-3~bpo9+1 to 340.106-1~bpo9+1

2018-01-24
  • Rebuild for stretch-backports.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 340.104-3 to 340.106-1

2018-01-23
Luca Boccassi
  • Drop nvidia-drm-pci-init.patch and timer.patch, fixed upstream.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Version 340.104-3~bpo9+1 introduced

2017-11-30
  • Rebuild for stretch-backports.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 340.104-2 to 340.104-3

2017-11-27
  • B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk (375.82-9).
  • Set Rules-Requires-Root: no (375.82-9).
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 340.104-1 to 340.104-2

2017-11-21
  • Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19) (375.82-7).
  • nvidia-detect: Detect devices in PCI classes 0301 (XGA compatible controller) and 0302 (3D controller), too (375.82-7).
  • bug-script: List these devices, too (375.82-7).
  • Use https:// URLs where possible (375.82-8).
Debian 10.0 icon

Debian 10.0 buster/non-free: Version 340.104-1 introduced

2017-11-10
  • New upstream legacy 340xx branch release 340.104 (2017-09-19).
    • Improved compatibility with recent Linux kernels.
    Andreas Beckmann
    • Add GRID K1/K2/K340 to EoL models, no longer supported from 375.xx on.
    • Bump Standards-Version to 4.1.1. No changes needed.
    • bug-control: Add arch qualification to M-A:same packages in report-with list otherwise reportbug will ignore them if more than one is installed (375.82-5).
    • Simplify upstream changelog handling (375.82-5).
    Luca Boccassi
    • Switch to my debian.org email address in Uploaders.
    • Drop drm-driver-legacy.patch, deprecated-cpu-events.patch, vmf-address.patch, drm-unload.patch, fatal-signal.patch and set-memory.patch, fixed upstream.
    • Refresh vm-fault.patch to remove fuzz from upstream changes.
    • Add nvidia-drm-pci-init.patch to fix kernel module build on Linux 4.14 and newer.
    Russ Allbery
    • Remove myself from Uploaders.
Debian 9.0 icon

Debian 9.0 stretch/non-free: Version 340.102-1 introduced

2017-11-10
  • New upstream legacy 340xx branch release 340.102 (2017-02-14).
    • Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318, CVE-2017-0321. (Closes: #855278)
    Andreas Beckmann
    • unregister_proc_on_failure.patch: New, unregister procfs entries during error unwind if loading the module failed. (Closes: #764639)
    Luca Boccassi
    • Add deprecated-cpu-events.patch and vmf-address.patch to fix kernel module build on Linux 4.10 and newer.

Related packages

libgles2 - Vendor neutral GL dispatch library -- GLESv2 support
libgles2-nvidia - NVIDIA binary OpenGL|ES 2.x library (transitional)
⇧ Top